# Retrieve an organization

To fetch a single organization, send a `GET` request to the `/api/organizations/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/organizations/:id>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the organization identified by the id "xYZkjABcde":

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/organizations/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```javascript
{
  "data": {
    "id": "xYZkjABcde",
    "type": "organizations",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde"
    },
    "attributes": {
      "name": "The Blue Brand",
      "slug": "the-blue-brand",
      "domain": "the-blue-brand.commercelayer.io",
      "support_phone": "+01 30800857",
      "support_email": "support@bluebrand.com",
      "logo_url": "https://bluebrand.com/img/logo.svg",
      "favicon_url": "https://bluebrand.com/img/favicon.ico",
      "primary_color": "#C8984E",
      "contrast_color": "#FFFFCC",
      "gtm_id": "GTM-5FJXX6",
      "gtm_id_test": "GTM-5FJXX7",
      "region": "eu-west-1",
      "can_switch_live": false,
      "subscription_info": {
        "plan_type": "growth",
        "limits": {
          "markets": 5,
          "skus": 10000,
          "organizations": 2,
          "memberships": 5
        },
        "totals": {
          "organizations": 1,
          "markets": 0,
          "memberships": 2,
          "skus": 0
        }
      },
      "config": {
        "mfe": {
          "language": "it-IT",
          "default": {
            "links": {
              "cart": "https://cart.example.com/:order_id?accessToken=:access_token",
              "checkout": "https://checkout.example.com/:order_id?accessToken=:access_token",
              "identity": "https://example.com/login",
              "microstore": "https://example.com/microstore/?accessToken=:access_token",
              "my_account": "https://example.com/my-custom-account?accessToken=:access_token"
            },
            "checkout": {
              "optional_billing_info": false,
              "thankyou_page": "https://example.com/thanks/:lang/:order_id",
              "billing_countries": [
                {
                  "value": "ES",
                  "label": "Espana"
                },
                {
                  "value": "IT",
                  "label": "Italia"
                },
                {
                  "value": "US",
                  "label": "Unites States of America"
                }
              ],
              "shipping_countries": [
                {
                  "value": "ES",
                  "label": "Espana"
                },
                {
                  "value": "IT",
                  "label": "Italia"
                },
                {
                  "value": "US",
                  "label": "Unites States of America"
                }
              ],
              "billing_states": {
                "FR": [
                  {
                    "value": "PA",
                    "label": "Paris"
                  },
                  {
                    "value": "LY",
                    "label": "Lyon"
                  },
                  {
                    "value": "NI",
                    "label": "Nice"
                  },
                  {
                    "value": "MA",
                    "label": "Marseille"
                  },
                  {
                    "value": "BO",
                    "label": "Bordeaux"
                  }
                ]
              },
              "shipping_states": {
                "FR": [
                  {
                    "value": "PA",
                    "label": "Paris"
                  },
                  {
                    "value": "LY",
                    "label": "Lyon"
                  },
                  {
                    "value": "NI",
                    "label": "Nice"
                  },
                  {
                    "value": "MA",
                    "label": "Marseille"
                  },
                  {
                    "value": "BO",
                    "label": "Bordeaux"
                  }
                ]
              },
              "default_country": "US"
            },
            "urls": {
              "privacy": "https://example.com/privacy/:lang",
              "terms": "https://example.com/terms/:lang"
            }
          },
          "market:id:ZKcv13rT": {
            "links": {
              "cart": "https://example.com/custom-cart/:order_id?accessToken=:access_token"
            },
            "checkout": {
              "thankyou_page": "https://example.com/thanks/:order_id"
            }
          }
        }
      },
      "api_auth_redirect": true,
      "api_rules_engine": false,
      "api_rules_engine_max_conditions_size": 150,
      "api_rules_engine_max_rules_size": 15,
      "api_new_auth": true,
      "api_purge_single_resource": false,
      "api_max_regex_length": 5000,
      "addresses_avs_check": true,
      "addresses_phone_required": true,
      "orders_sales_channel_guest_only": true,
      "orders_min_rebuild_shipments_lapse": 0.0,
      "orders_min_refresh_lapse": 0.0,
      "orders_autorefresh_cutoff_test": 50,
      "orders_autorefresh_cutoff_live": 500,
      "orders_number_editable_test": false,
      "orders_number_editable_live": false,
      "orders_number_as_reference": true,
      "orders_invalid_coupon_errors": true,
      "orders_invalid_gift_card_errors": true,
      "orders_validate_shipping_stock": false,
      "bundles_max_items_count": 10,
      "coupons_min_code_length": 8,
      "coupons_max_code_length": 40,
      "gift_cards_exact_code_matching": false,
      "gift_cards_min_code_length": 8,
      "gift_cards_max_code_length": 40,
      "cleanups_max_concurrent_count": 10,
      "exports_max_concurrent_count": 10,
      "imports_max_concurrent_count": 10,
      "imports_purge_cache": true,
      "imports_skip_errors": false,
      "inventory_models_max_stock_locations_cutoff": 10,
      "promotions_max_concurrent_count": 10,
      "promotions_max_conditions_size": 150,
      "promotions_max_rules_size": 15,
      "price_lists_max_conditions_size": 150,
      "price_lists_max_rules_size": 15,
      "imports_trigger_webhooks": 0,
      "discount_engines_enabled": false,
      "discount_engines_errors": false,
      "tags_max_name_length": 25,
      "tags_max_allowed_number": 10,
      "tax_calculators_errors": false,
      "external_promotions_errors": false,
      "external_prices_errors": true,
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "memberships": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/relationships/memberships",
          "related": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/memberships"
        }
      },
      "roles": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/relationships/roles",
          "related": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/roles"
        }
      },
      "permissions": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/relationships/permissions",
          "related": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/permissions"
        }
      },
      "api_credentials": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/relationships/api_credentials",
          "related": "https://provisioning.commercelayer.io/api/organizations/xYZkjABcde/api_credentials"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}
